Skip to content

Retrieve my catalog entry

Request

OAuth 2.0 scope:
  • okta.accessRequests.catalog.read

Retrieves an entry from my catalog

Path
entryIdstring, = 20 characters(catalog-entry-id)required

Unique identifier for the catalog entry

Example:cenp2rjyxK1Js2Fc41d5
GET
/governance/api/v2/my/catalogs/default/entries/{entryId}
curl -i -X GET \
  https://okta-subdomain.pixtulate.com/governance/api/v2/my/catalogs/default/entries/cenp2rjyxK1Js2Fc41d5

Responses

List of all entries in the resource catalog

Headers
X-Rate-Limit-Limitinteger, >= 1required

The rate-limit ceiling for the current request

Example:60
X-Rate-Limit-Remaininginteger, >= 0required

The number of requests left for the current rate-limit window

Example:60
X-Rate-Limit-Resetinteger, >= 0required

The time when the rate limit resets, specified in UTC epoch time (in seconds)

Example:1609459200
Bodyapplication/json
idstring, non-emptyrequired

Unique identifier for the entry

namestring, [ 1 .. 255 ] charactersrequired

Name of the entry

descriptionstring, <= 2000 characters

Description of the entry

labelstring

Label of the entry. Currently either Application or Resource Collection

parentstring

Parent of the entry

requestableboolean(rcar-entry-requestable)required

Is the resource requestable

countsobject(rcar-entry-counts)

Entry count metadata

Response
{ "id": "cen33e47frfMB93gQ8g6", "name": "Figma", "description": "The Figma App", "label": "Application", "requestable": false, "_links": { "self": {}, "logo": [], "submittedRequest": {} } }